//Ajout de lignes virtuelles.

var nombre = 1;
var mydatelib = ajax();
var apercuAjaxlib = ajax();

//Vérifie si la date est déjà prise.
function verifieDate(id) {
    //Vérification de la date si déjà prise pour la même employée.
    if (document.getElementById('lreference').value != "" && document.getElementById(id).value != "") {
        var reponseBoolDate = file('js/obtdatelib.php?prm1=' + escape(document.getElementById('lreference').value) + "&prm2=" + escape(document.getElementById(id).value));
        if (reponseBoolDate == "2") {
            if (nombre > 1) {
                for (x = 0; x < nombre; x++) {
                    var nombrev = parseInt(id.substring(2));
                    if (x != nombrev) {
                        if (document.getElementById(id).value == document.getElementById("id" + x + "").value) {
                            //Présence de cette date demandée dans le formulaire sur une autre ligne
                            reponseBoolDate = 1;
                        }
                    }
                }
            }
        }

        //La date est déjà prise, refus
        if (reponseBoolDate == "1") {
            if (!jConfirm("Cette date de libération a déjà été demandée auparavant!\nVoulez-vous continuer?")) {
                var idt = id.substring(2);
                document.getElementById(id).value = document.getElementById("idanc" + idt).value;
                document.getElementById(id).focus();
            }
        }
    }
}

//Est-ce que l'employé existe?
function verifEmploye() {
    var reponseBoolEmp = 0;
    reponseBoolEmp = obtenirReponse("js/obtemploye2.php?prm1=" + document.getElementById('lreference').value);
    if (reponseBoolEmp == 0) {
        return false;
    }
    return true;
}

//Est-ce que les renseignements primaires sont remplit?
function verifieinfo() {
    var idemp = document.getElementById("zonerecherche2").value;
    var idlref = document.getElementById('lreference').value;
    var iddat = document.getElementById("datecreation").value;

    if (getCheckedValue(document.forms['frmModif'].elements['ltypeopr']) == "") {
        jAlert("Veuillez choisir le type d'opération désirée.");
        document.getElementById("opr1").focus();
        return false;
    } else if (idemp == '' || idemp == "Recherche") {
        jAlert("Veuillez choisir l'employé parmi les membres");
        document.getElementById("zonerecherche2").focus();
        return false;
    } else if (idlref == '') {
        jAlert("Veuillez utiliser la liste déroulante pour choisir le membre.");
        document.getElementById("zonerecherche2").focus();
        return false;
    } else if (!isDateValide(iddat)) {
        jAlert("Veuillez choisir la date de création du document (Format : AAAA-MM-JJ)!");
        document.getElementById("datecreation").focus();
        return false;
    }
    return true;
}

function creeDatePaiement(id, id2) {
    if (document.getElementById(id).selectedIndex == 2) {
        document.getElementById(id2).removeAttribute("readonly");
        var dateactuelle = new Date();
        var jour = "";
        var mois = "";
        if (dateactuelle.getMonth() + 1 < 10)
            mois = "0" + (dateactuelle.getMonth() + 1);
        else
            mois = (dateactuelle.getMonth() + 1);

        if (dateactuelle.getDate() + 1 < 10)
            jour = "0" + (dateactuelle.getDate());
        else
            jour = (dateactuelle.getDate());
        document.getElementById(id2).value = dateactuelle.getFullYear() + "-" + mois + "-" + jour + "";
    } else {
        document.getElementById(id2).setAttribute("readonly", "readonly");
        document.getElementById(id2).value = "";
    }
}

//Vérifie la présente ligne de saisie
function verifieLigne2(nombre) {
    var nombre2 = nombre - 1;
    var case1 = document.getElementById('id' + nombre2 + '');
    var case2 = document.getElementById('lart' + nombre2 + '');
    var case3 = document.getElementById('com' + nombre2 + '');
    var case4 = document.getElementById('ldur' + nombre2 + '');
    var case5 = document.getElementById('lie' + nombre2 + '');
    var case6 = document.getElementById('las' + nombre2 + '');

    if (case1.value == '') {
        jAlert("La date de libération est vide.");
        case1.focus();
        return false;
    } else if (case2.selectedIndex == 0) {
        jAlert("Aucun article n'a été choisit.");
        case2.focus();
        return false;
    } else if (case3.value == '') {
        jAlert("Le commentaire est vide.");
        case3.focus();
        return false;
    } else if (case4.selectedIndex == 0) {
        jAlert("La durée n'a pas été choisie.");
        case4.focus();
        return false;
    } else if (case5.value == '') {
        jAlert("Le lieu est vide.");
        case5.focus();
        return false;
    } else if (case6.selectedIndex == 0) {
        jAlert("Aucun item de la liste «Assumer par» n'a été choisit.");
        case6.focus();
        return false;
    } else
        return true;
}